Bug 1879399 - [updates] overcloud update controller run passed without updating OVS version
Summary: [updates] overcloud update controller run passed without updating OVS version
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 16.1 (Train)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: David Rosenfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-16 08:12 UTC by Ronnie Rasouli
Modified: 2020-09-16 09:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-16 09:00:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ronnie Rasouli 2020-09-16 08:12:16 UTC
Description of problem:
On Manual setup the fastdatapath repos are missing on the controller nodes, the overcloud update run on compute nodes passed without failing on OVS update from 2.11 to to 2.13.

Thus the overcloud update converge is failing on: 
TASK [tripleo-bootstrap : Deploy required packages to bootstrap TripleO]

fatal: [overcloud-controller-0]: FAILED! => {"changed": false, "failed_when_result": true, "failures": [], "msg": "Depsolve Error occured: \n Problem: cannot install the best candidate for the job\n  - nothing provides network-scripts-openvswitch2.13 needed by rhosp-openvswitch-2.13-8.el8ost.noarch\n  - nothing provides openvswitch2.13 needed by rhosp-openvswitch-2.13-8.el8ost.noarch", "rc": 1, "results": []}

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-11.3.2-0.

How reproducible:
most likely

Steps to Reproduce:
1. deploy OSP16 without fastdatapath repos on the controller
2. update the undercloud
3. update the overcloud by
openstack overcloud update run --stack overcloud --limit Controller
4. run converge steps

Actual results:
Converge failed with the error detailed above

Expected results:
fail the task that update packages (OVS)

Additional info:

Compute update failed due to OVS dependencies as expected


Note You need to log in before you can comment on or make changes to this bug.